Address API

The Address API lets you create and modify Addresses in Vonage. These addresses may be linked to numbers

More details at https://developer.vonage.com/

Download OpenAPI Specification

Addresses

Create and modify Addresses in Vonage.

Get details of your configured Addresses

Get details of your configured Addresses

gethttps://api.nexmo.com/v1/addresses/

Authentication

KeyDescriptionWhereExample
Authorization

Base64 encoded API key and secret joined by a colon.
Read more

Headers

Basic <base64>

Query Parameters

page
integer
Min1
example1

Page index

page_size
integer
Min1
Max1000
Default100
example100

Number of records per page

Responses
Content Type
application/json

OK

page_size
example100
page
example3
total_pages
example15
total_items
example1450
_embedded
object

A list of Address objects.

addresses
array
id
string
examplec49f3586-9b3b-458b-89fc-3c8beb58865c

Vonage Address unique ID

address_name
string
Min2
Max32
examplemyaddress

A friendly name to identify the address

address_line1
string
example1 REGAL CT

First line of the full address

address_line2
string
exampleMerchant's House 205

Second line of the full address

city
string
exampleNew York

The city where this address is located

region
string
exampleNJ

The state or region of the address

type
string
exampleemergency

Type of address

Must be one of:emergency
address_location_type
string
Defaultbusiness
examplebusiness

Addrss location type as a business or domestic

Must be one of:businessresidential
postal_code
string
example10002

The Postal Code of this address

country
string
Min2
Max2
exampleUS

The two character country code in ISO 3166-1 alpha-2 format

Example Response

{
   "page_size": 100,
   "page": 3,
   "total_pages": 15,
   "total_items": 1450,
   "_embedded": {
      "addresses": [
         {
            "id": "c49f3586-9b3b-458b-89fc-3c8beb58865c",
            "address_name": "myaddress",
            "address_line1": "1 REGAL CT",
            "address_line2": "Merchant's House 205",
            "city": "New York",
            "region": "NJ",
            "type": "emergency",
            "address_location_type": "business",
            "postal_code": "10002",
            "country": "US"
         }
      ]
   }
}

Create a new Address

Create a new Address

posthttps://api.nexmo.com/v1/addresses/

Authentication

KeyDescriptionWhereExample
Authorization

Base64 encoded API key and secret joined by a colon.
Read more

Headers

Basic <base64>

Request Body
Content Type
application/json

One Of
address_name
string
Min2
Max32
examplemyaddress

A friendly name to identify the address

address_line1
string
example1 REGAL CT

First line of the full address

address_line2
string
exampleMerchant's House 205

Second line of the full address

city
string
exampleNew York

The city where this address is located

region
string
exampleNJ

The state or region of the address

type
string
exampleemergency

Type of address

Must be one of:emergency
address_location_type
string
Defaultbusiness
examplebusiness

Addrss location type as a business or domestic

Must be one of:businessresidential
postal_code
string
example10002

The Postal Code of this address

country
string
Min2
Max2
exampleUS

The two character country code in ISO 3166-1 alpha-2 format

Example Request

{
   "address_name": "myaddress",
   "address_line1": "1 REGAL CT",
   "address_line2": "Merchant's House 205",
   "city": "New York",
   "region": "NJ",
   "type": "emergency",
   "address_location_type": "business",
   "postal_code": "10002",
   "country": "US"
}

Responses
Content Type
application/json

Created

id
string
examplec49f3586-9b3b-458b-89fc-3c8beb58865c

Vonage Address unique ID

address_name
string
Min2
Max32
examplemyaddress

A friendly name to identify the address

address_line1
string
example1 REGAL CT

First line of the full address

address_line2
string
exampleMerchant's House 205

Second line of the full address

city
string
exampleNew York

The city where this address is located

region
string
exampleNJ

The state or region of the address

type
string
exampleemergency

Type of address

Must be one of:emergency
address_location_type
string
Defaultbusiness
examplebusiness

Addrss location type as a business or domestic

Must be one of:businessresidential
postal_code
string
example10002

The Postal Code of this address

country
string
Min2
Max2
exampleUS

The two character country code in ISO 3166-1 alpha-2 format

Example Response

{
   "id": "c49f3586-9b3b-458b-89fc-3c8beb58865c",
   "address_name": "myaddress",
   "address_line1": "1 REGAL CT",
   "address_line2": "Merchant's House 205",
   "city": "New York",
   "region": "NJ",
   "type": "emergency",
   "address_location_type": "business",
   "postal_code": "10002",
   "country": "US"
}

Get details of an Address

Get details of an Address

gethttps://api.nexmo.com/v1/addresses/:id

Authentication

KeyDescriptionWhereExample
Authorization

Base64 encoded API key and secret joined by a colon.
Read more

Headers

Basic <base64>

Path Parameters

id
string
Required
examplec49f3586-9b3b-458b-89fc-3c8beb58865c

Filter by address id

Responses
Content Type
application/json

OK

id
string
examplec49f3586-9b3b-458b-89fc-3c8beb58865c

Vonage Address unique ID

address_name
string
Min2
Max32
examplemyaddress

A friendly name to identify the address

address_line1
string
example1 REGAL CT

First line of the full address

address_line2
string
exampleMerchant's House 205

Second line of the full address

city
string
exampleNew York

The city where this address is located

region
string
exampleNJ

The state or region of the address

type
string
exampleemergency

Type of address

Must be one of:emergency
address_location_type
string
Defaultbusiness
examplebusiness

Addrss location type as a business or domestic

Must be one of:businessresidential
postal_code
string
example10002

The Postal Code of this address

country
string
Min2
Max2
exampleUS

The two character country code in ISO 3166-1 alpha-2 format

Example Response

{
   "id": "c49f3586-9b3b-458b-89fc-3c8beb58865c",
   "address_name": "myaddress",
   "address_line1": "1 REGAL CT",
   "address_line2": "Merchant's House 205",
   "city": "New York",
   "region": "NJ",
   "type": "emergency",
   "address_location_type": "business",
   "postal_code": "10002",
   "country": "US"
}

Delete an Address

Delete an Address

deletehttps://api.nexmo.com/v1/addresses/:id

Authentication

KeyDescriptionWhereExample
Authorization

Base64 encoded API key and secret joined by a colon.
Read more

Headers

Basic <base64>

Path Parameters

id
string
Required
examplec49f3586-9b3b-458b-89fc-3c8beb58865c

Filter by address id

Responses

Deleted